## org.apache.batik.css.engine
Class MediaRule

    java.lang.Object
      org.apache.batik.css.engine.StyleSheet
          org.apache.batik.css.engine.MediaRule

All Implemented Interfaces:
  Rule

Direct Known Subclasses:
  ImportRule

    public class MediaRule

extends StyleSheet
implements Rule

This class represents a @media CSS rule.

Field Summary
`protected org.w3c.css.sac.SACMediaList` `mediaList` The media list.
`static short` `TYPE` The type constant.

Fields inherited from class org.apache.batik.css.engine.StyleSheet
`alternate, media, parent, rules, size, title`

Constructor Summary
`MediaRule()`

Method Summary
`org.w3c.css.sac.SACMediaList` `getMediaList()` Returns the media list.
`short` `getType()` Returns a constant identifying the rule type.
`void` `setMediaList(org.w3c.css.sac.SACMediaList ml)` Sets the media list.
`java.lang.String` `toString(CSSEngine eng)` Returns a printable representation of this media rule.

Methods inherited from class org.apache.batik.css.engine.StyleSheet
`append, clear, getMedia, getParent, getRule, getSize, getTitle, isAlternate, setAlternate, setMedia, setParent, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

  The type constant.

  See Also:
    Constant Field Values

### mediaList

    protected org.w3c.css.sac.SACMediaList mediaList

  The media list.

Constructor Detail

### MediaRule

    public MediaRule()

Method Detail

### getType

    public short getType()

  Returns a constant identifying the rule type.

  Specified by:
    `getType` in interface `Rule`

### setMediaList

    public void setMediaList(org.w3c.css.sac.SACMediaList ml)

  Sets the media list.

### getMediaList

    public org.w3c.css.sac.SACMediaList getMediaList()

  Returns the media list.

### toString

    public java.lang.String toString(CSSEngine eng)

  Returns a printable representation of this media rule.

  Specified by:
    `toString` in interface `Rule`
  Overrides:
    `toString` in class `StyleSheet`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.